## org.eclipse.datatools.modelbase.sql.query
Interface PredicateInValueSelect

All Superinterfaces:
  Predicate, PredicateIn, QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject

All Known Implementing Classes:
  PredicateInValueSelectImpl

public interface PredicateInValueSelect
extends PredicateIn

A representation of the model object 'SQL Predicate In Value Select'.

The following features are supported:

- `Query Expr`
- `Value Expr`

See Also:
  `SQLQueryModelPackage.getPredicateInValueSelect()`

Method Summary
`QueryExpressionRoot` `getQueryExpr()` Returns the value of the 'Query Expr' containment reference.
`QueryValueExpression` `getValueExpr()` Returns the value of the 'Value Expr' containment reference.
`void` `setQueryExpr(QueryExpressionRoot value)` Sets the value of the '`Query Expr`' containment reference.
`void` `setValueExpr(QueryValueExpression value)` Sets the value of the '`Value Expr`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.PredicateIn
`isNotIn, setNotIn`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.Predicate
`getSelectivityValue, isHasSelectivity, isNegatedPredicate, setHasSelectivity, setNegatedPredicate, setSelectivityValue`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### getQueryExpr

    public QueryExpressionRoot getQueryExpr()

  Returns the value of the 'Query Expr' containment reference. It is bidirectional and its opposite is '`In Value Select Right`'.

  If the meaning of the 'Query Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Expr' containment reference.
  See Also:
    `setQueryExpr(QueryExpressionRoot)`, `SQLQueryModelPackage.getPredicateInValueSelect_QueryExpr()`, `QueryExpressionRoot.getInValueSelectRight()`

### setQueryExpr

    public void setQueryExpr(QueryExpressionRoot value)

  Sets the value of the '`Query Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Query Expr' containment reference.
  See Also:
    `getQueryExpr()`

### getValueExpr

    public QueryValueExpression getValueExpr()

  Returns the value of the 'Value Expr' containment reference. It is bidirectional and its opposite is '`In Value Select Left`'.

  If the meaning of the 'Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `setValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getPredicateInValueSelect_ValueExpr()`, `QueryValueExpression.getInValueSelectLeft()`

### setValueExpr

    public void setValueExpr(QueryValueExpression value)

  Sets the value of the '`Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Expr' containment reference.
  See Also:
    `getValueExpr()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.